Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] digikam crasht beim download
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Wed May 19, 2010 7:54 pm    Post subject: [gelöst] digikam crasht beim download Reply with quote

Seit einigen Wochen stürzt digikam immer ab, wenn ich versuche, Bilder von SD-Karten oder Kameras downzuloaden. So sieht das im Terminal aus:

Code:
KCrash: Application 'digikam' crashing...
sock_file=/home/uhai/.kde4/socket-Tux/kdeinit4__0

[1]+  Angehalten              digikam


Mit strace ist digikam etwas gesprächiger:

Code:
close(37)                               = 0                                                                     
close(38)                               = 0                                                                     
[...]
close(56)                               = 0                                                                     
close(57)                               = -1 EBADF (Bad file descriptor)                                       
[...]                             
close(1023)                             = -1 EBADF (Bad file descriptor)                                       
write(2, "KCrash: Application 'digikam' cr"..., 42KCrash: Application 'digikam' crashing...                     
) = 42                                                                                                         
uname({sys="Linux", node="Tux", ...})   = 0                                                                     
socket(PF_FILE, SOCK_STREAM, 0)         = 3                                                                     
fstat(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 0), ...}) = 0                                             
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0990549000                       
write(1, "sock_file=/home/uhai/.kde4/socke"..., 50sock_file=/home/uhai/.kde4/socket-Tux/kdeinit4__0             
) = 50                                                                                                         
connect(3, {sa_family=AF_FILE, path="/home/uhai/.kde4/socket-Tux/kdeinit4__0"}, 110) = 0                       
write(3, "\f\0\0\0\0\0\0\0\310\0\0\0\0\0\0\0", 16) = 16                                                         
write(3, "\21\0\0\0\0\0\0\0/usr/lib64/kde4/libexec/"..., 200) = 200                                             
read(3, "\4\0\0\0\0\0\0\0\10\0\0\0\0\0\0\0", 16) = 16                                                           
read(3, "~7\0\0\0\0\0\0", 8)            = 8                                                                     
alarm(0)                                = 3
kill(14206, SIG_0)                      = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [SEGV], 8) = 0
rt_sigaction(SIGCHLD, NULL, {0x7f09d106b480, [], SA_RESTORER|SA_NOCLDSTOP, 0x7f09d0d12df0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [SEGV], NULL, 8) = 0
nanosleep({1, 0}, 0x7fffc50e9e60)       = 0
kill(14206, SIG_0)                      = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [SEGV], 8) = 0
rt_sigaction(SIGCHLD, NULL, {0x7f09d106b480, [], SA_RESTORER|SA_NOCLDSTOP, 0x7f09d0d12df0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [SEGV], NULL, 8) = 0
nanosleep({1, 0}, 0x7fffc50e9e60)       = 0
kill(14206, SIG_0)                      = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [SEGV], 8) = 0
rt_sigaction(SIGCHLD, NULL, {0x7f09d106b480, [], SA_RESTORER|SA_NOCLDSTOP, 0x7f09d0d12df0}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [SEGV], NULL, 8) = 0
nanosleep({1, 0}, {0, 909362526})       = ? ERESTART_RESTARTBLOCK (To be restarted)
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
--- SIGSTOP (Stopped (signal)) @ 0 (0) ---
restart_syscall(<... resuming interrupted call ...>) = ? ERESTART_RESTARTBLOCK (To be restarted)
restart_syscall(<... resuming interrupted call ...>) = 0
kill(14206, SIG_0)                      = -1 ESRCH (No such process)
exit_group(253)                         = ?
[1]+  Exit 253                digikam


Die Absturzinformationen sehen so aus: http://nopaste.info/522ffec3b8.html

Der Fehler ist reproduzierbar. Sowohl mit mehreren SD-Karten als auch mit unterschiedlichen Kameras über USB. Die Kameras werden einwandfrei erkannt. Allerdings werden die Bilder nicht auf der Karte/Kamera im Import-Dialog angezeigt. Digikam crasht vorher. Dolphin kann die Karten einwandfrei einlesen und die Bilder auch anzeigen. Das Problem scheint bei Digikam zu liegen.

Das ist mein System:
Linux Tux 2.6.31-gentoo-r10 #2 SMP Sun Apr 4 22:15:33 CEST 2010 x86_64 AMD Phenom(tm) II X4 945 Processor AuthenticAMD GNU/Linux
digiKam version 1.1.0
Exiv2 kann in JP2 speichern: Ja
Exiv2 kann in JPEG speichern: Ja
Exiv2 kann in PGF speichern: Ja
Exiv2 kann in PNG speichern: Ja
Exiv2 kann in TIFF speichern: Ja
Exiv2 unterstützt XMP-Metadaten: Ja
LibCImg: 130
LibExiv2: 0.19
LibJPEG: 80
LibJasper: 1.900.1
LibKDE: 4.3.5 (KDE 4.3.5)
LibKExiv2: 0.6.0
LibKdcraw: 0.5.0
LibLCMS: 119
LibPGF: 6.09.44
LibPNG: 1.2.40
LibQt: 4.6.2
LibRaw: 0.7.2
LibTIFF: LIBTIFF, Version 3.9.2 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble widget: 0.8.5
Parallelized demosaicing: Ja
LibGphoto2: 2.4.8
LibKipi: 0.4.0
udev 149
libusb 0.1.12-r5

Kann mir irgendjemand bitte den output deuten und einen Tip geben, wie ich das wieder hinbekomme?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org


Last edited by uhai on Thu Jul 08, 2010 5:09 am; edited 1 time in total
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 01, 2010 6:41 am    Post subject: Reply with quote

Ich bin hiermit bisher auch nicht weitergekommen. Aus portage ist digikam 1.1.0 installiert (Update vor wenigen Tagen). Der Fehler ist geblieben, Digikam crasht beim Download der Bilder von der Kamera.

Also habe ich mich entschlossen, digikam wie von Gaullier in der Buglist empfohlen aus dem SVN parallel (zu Testzwecken) zu installieren. In den Overlays scheint es ja zu sein. In der /etc/portage/package.keywords steht digikam bei mir schon drin:

Code:
media-gfx/digikam ~amd64


Trotzdem bekomme ich mit eix oder emerge nur digikam-1,1,0 angezeigt....

1. Was habe ich übersehen? Ich würde gerne digikam-9999 installieren?
2. Kann ich beide Versionen parallel (in verschiedene Slots) bekommen?
3. Ist das Datenbakfomrat kompatibel?

Bin für jeden Tip dankbar.

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2042
Location: My own world! I and Gentoo!

PostPosted: Tue Jun 01, 2010 10:27 am    Post subject: Reply with quote

Hast du denn auch ein eix-sync (oder wahlweiße update-eix) gemacht.
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 01, 2010 12:12 pm    Post subject: Reply with quote

Weiss ich heute morgen nicht mehr, habe ich gerade aber gemacht. Hilft leider nicht, digikam-9999 wird immer noch nicht angeboten. Es taucht nach wie vor nur digikam-1.1.0-rc1 auf.

http://gpo.zugaina.org/media-gfx/digikam zeigt aber auch andere Versionen in verschiedenen Overlays. Das overlay kde-testing kann ich allerdings mit layman -L auch nicht hervorlocken...

Gibt es da noch irgendwo eine "Handbremse", die ich lösen muss?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Tue Jun 01, 2010 12:56 pm    Post subject: Reply with quote

Bei mir ist es in dem Overlay "kde".

Des weiteren empfehle ich autounmask.
Damit geht alles automatisch: autounmask media-gfx/digikam-9999

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 01, 2010 1:12 pm    Post subject: Reply with quote

Müßte ich es mit eix digikam nicht auch sehen?

zumal in package.keyword "media-gfx/digikam ~amd64" steht...?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Tue Jun 01, 2010 1:46 pm    Post subject: Reply with quote

9999er Versionen benötigen zudem noch ein ** in der keyword.
Lass das aber alles autounmask machen. Einfacher gehts nicht.
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 01, 2010 6:30 pm    Post subject: Reply with quote

Hier stimmt was nicht:

Code:
Tux widelands-build15-src # autounmask -p media-gfx/digikam-9999

 autounmask version 0.27 (using PortageXS-0.02.09 and portage-2.1.8.3)

 * Using repositories:
     /usr/portage
     /usr/local/portage/overlay/
     /usr/local/portage/layman

 * The given category/package-version does not seem to exist. Listing existing versions:

 * gentoo (/usr/portage):
     media-gfx/digikam-1.1.0-r1
     media-gfx/digikam-1.1.0

 * meines (/usr/local/portage/overlay/):
     none

 *  (/usr/local/portage/layman):
     none

 * Please pick one of the versions given above and try again.



Auch autounmask zeigt mir das ebuild nicht. Ich habe vorher aber eix-sync und layman -S ohne Fehler laufen lassen.

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Tue Jun 01, 2010 6:48 pm    Post subject: Reply with quote

uhai wrote:
Auch autounmask zeigt mir das ebuild nicht. Ich habe vorher aber eix-sync und layman -S ohne Fehler laufen lassen.
Dann hast du vermutlich noch nicht den richtigen Eintrag in der make.conf für layman gesetzt?!
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 01, 2010 6:58 pm    Post subject: Reply with quote

/usr/local/portage/layman? Ist doch ok, oder?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Tue Jun 01, 2010 7:04 pm    Post subject: Reply with quote

uhai wrote:
/usr/local/portage/layman? Ist doch ok, oder?


Hm.. nein, ich denke eher nicht, kommt auf die verwendete layman Version an..
liest du dir nicht die postinstall Messages durch nachdem du ein Paket installiert hast?
Der Eintrag sollte etwa so ausschauen wie die Ausgabe von
Code:
grep ^storage /etc/layman/layman.cfg | cut -d\: -f2 | xargs -I° echo "source °/make.conf"
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 01, 2010 7:14 pm    Post subject: Reply with quote

Code:
Tux widelands-build15-src # grep ^storage /etc/layman/layman.cfg | cut -d\: -f2 | xargs -I° echo "source °/make.conf"
source /usr/local/portage/layman/make.conf

Die Messages lese ich schon durch. Allerdings ist die layman-Doku teilweise nicht auf dem aktuellen Stand...

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Tue Jun 01, 2010 7:30 pm    Post subject: Reply with quote

Warum passt du nicht das ebuild einfach an?
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Wed Jun 02, 2010 1:13 pm    Post subject: Reply with quote

Das habe ich erst mit dem build 15 von widelands versucht und bin gescheitert...

Da verstehe ich noch zu wenig davon.

Grundsätzlich wäre doch das Overlay der Gentoo-way, oder nicht?

Zu Fuß habe ich das auch schon probiert nach dieser Anleitung. Da bin ich an einem Cmake-Fehler bei libkexiv2 gescheitert...

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
AmonAmarth
l33t
l33t


Joined: 03 Mar 2005
Posts: 727

PostPosted: Wed Jun 02, 2010 4:47 pm    Post subject: Reply with quote

uhai wrote:
Das habe ich erst mit dem build 15 von widelands versucht und bin gescheitert...

Da verstehe ich noch zu wenig davon.

Grundsätzlich wäre doch das Overlay der Gentoo-way, oder nicht?

Zu Fuß habe ich das auch schon probiert nach dieser Anleitung. Da bin ich an einem Cmake-Fehler bei libkexiv2 gescheitert...

uhai


mehr OT: das widelands-build15 ebuild https://bugs.gentoo.org/show_bug.cgi?id=312847
funktioniert einwandfrei. mit einfachem umbenennen des ebuilds von build 14 kommst du hier wohl nicht weit, weil sich viel geändert hat am build system, zb cmake statt scons...
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Mon Jun 07, 2010 9:16 pm    Post subject: Reply with quote

ok, bin einen Schritt weiter:

Ich habe layman entfernt und neu installiert. Danach konnte ich kde als Overlay hinzufügen und nach eix-update war emerge -pvt =digikam-9999 möglich.

Leider bricht der Vorgang mit einem Fehler ab:

Code:
....
-- Found MarbleWidget: /usr/lib64/libmarblewidget.so                                                           
-- Can build Marble plugin: yes                                                                                 
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                     
-- Found LensFun: /usr/include                                                                                 
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                     
-- Found GLIB2: /usr/lib64/libglib-2.0.so                                                                       
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                     
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig                                     
-- Performing Test HAVE_LQR_0_4                                                                                 
-- Performing Test HAVE_LQR_0_4 - Success                                                                       
-- Found Lqr-1: /usr/include/lqr-1                                                                             
-- Found Doxygen: /usr/bin/doxygen                                                                             
--                                                                                                             
-- ----------------------------------------------------------------------------------                           
--  digiKam 1.3.0 dependencies results   <http://www.digikam.org>                                               
--                                                                                                             
--  Qt4 SQL module found..................... YES                                                               
--  MySQL Server found....................... YES                                                               
--  MySQL install_db tool found.............. YES                                                               
--  libtiff library found.................... YES                                                               
--  libpng library found..................... YES                                                               
--  libjasper library found.................. YES                                                               
--  liblcms library found.................... YES                                                               
--  libkipi library found.................... YES                                                               
--  libkexiv2 library found.................. NO                                                               
--                                                                                                             
CMake Error at CMakeLists.txt:83 (MESSAGE):                                                                     
   digiKam needs libkexiv2. You need to install the libkexiv2 (version >= 1.1.0) library development package.   
Call Stack (most recent call first):                                                                           
  CMakeLists.txt:267 (PRINT_LIBRARY_STATUS)                                                                     


--  libkexiv2 website is at http://www.digikam.org/sharedlibs
--                                                           
--  libkdcraw library found.................. NO             
--                                                           
CMake Error at CMakeLists.txt:83 (MESSAGE):                 
   digiKam needs libkdcraw. You need to install the libkdcraw (version >= 1.1.0) library development package.
Call Stack (most recent call first):                                                                         
  CMakeLists.txt:268 (PRINT_LIBRARY_STATUS)                                                                 


--  libkdcraw website is at http://www.digikam.org/sharedlibs
--                                                           
--  libgphoto2 library found................. YES (optional)
--  libkdepimlibs library found.............. YES (optional)
--  libmarblewidget library found............ YES (optional)
--  Can build Marble plugin.................. YES (optional)
--  Nepomuk libraries found.................. NO  (at least KDE 4.4 and shared-desktop-ontologies required)
--                                                                                                         
--  digiKam will be compiled without support for the Nepomuk semantic desktop services.                   
--                                                                                                         
--  liblensfun library found................. YES (optional)                                               
--  libglib2 library found................... YES (optional)                                               
--  liblqr-1 library found................... YES (optional)                                               
--  Doxygen found............................ YES (optional)                                               
CMake Error at CMakeLists.txt:369 (MESSAGE):                                                               
   digiKam will be compiled................. NO  (Look README file for more details about dependencies)   


-- Configuring incomplete, errors occurred!
 * ERROR: media-gfx/digikam-9999 failed:
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 3884:  Called kde4-base_src_configure
 *   environment, line 3000:  Called cmake-utils_src_configure
 *   environment, line 1121:  Called _execute_optionaly 'src_configure'
 *   environment, line  529:  Called enable_cmake-utils_src_configure
 *   environment, line 1550:  Called die
 * The specific snippet of code:
 *       cmake "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of 'emerge --info =media-gfx/digikam-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/digikam-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /usr/local/portage/layman/kde/eclass/kde4-base.eclass
 *   /usr/local/portage/layman/kde/eclass/kde4-functions.eclass
 *   /usr/local/portage/layman/kde/eclass/cmake-utils.eclass
 * This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/digikam-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/digikam-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/digikam-9999/work/digikam-9999'

>>> Failed to emerge media-gfx/digikam-9999, Log file:

>>>  '/var/tmp/portage/media-gfx/digikam-9999/temp/build.log'


Eigentlich will ich digikam aus dem svn parallel zu meiner (halbwegs) funktionstüchtigen stable haben. Die Abhängigkeiten sollten doch nciht so anders sein, ich würde auch auf nepomuk oder anderes verzichten. libdcraw ist auf jedenfall für digikam-1.1.0 installiert:

Code:
digiKam version 1.1.0
Exiv2 kann in JP2 speichern: Ja
Exiv2 kann in JPEG speichern: Ja
Exiv2 kann in PGF speichern: Ja
Exiv2 kann in PNG speichern: Ja
Exiv2 kann in TIFF speichern: Ja
Exiv2 unterstützt XMP-Metadaten: Ja
LibCImg: 130
LibExiv2: 0.19
LibJPEG: 80
LibJasper: 1.900.1
LibKDE: 4.3.5 (KDE 4.3.5)
LibKExiv2: 0.6.0
LibKdcraw: 0.5.0
LibLCMS: 119
LibPGF: 6.09.44
LibPNG: 1.2.43
LibQt: 4.6.2
LibRaw: 0.7.2
LibTIFF: LIBTIFF, Version 3.9.2 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble widget: 0.8.5
Parallelized demosaicing: Ja
LibGphoto2: 2.4.8
LibKipi: 0.4.0


Was mache ich falsch, wie muss ich vorgehen?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Tue Jun 08, 2010 4:41 am    Post subject: Reply with quote

digiKam needs libkexiv2. You need to install the libkexiv2 (version >= 1.1.0) library development package.

Das fehlt dir auch.
Sag am besten auch noch den Leuten von dem Overlay Bescheid, dass sie die Abhängigkeiten richtig setzen.
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 08, 2010 9:47 pm    Post subject: Reply with quote

Das habe ich nach der Anleitung auch schon manuell probiert. Leider scheitert das, Fehlermeldung weiss sich jetzt nicht mehr.

Hat jemand digikam-9999 am rennen?
uhai

PS: Das KDE-Overlay scheint auch nicht erreichbar zu sein:

Code:

Oops…
Trac detected an internal error:

If you think this really should work and you can reproduce it, you should consider reporting this problem to the Trac team.

Go to http://trac.edgewall.org/ and create a new ticket where you describe the problem, how to reproduce it. Don't forget to include the Python traceback found below.

TracGuide — The Trac User and Administration Guide
Python Traceback

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/trac/web/main.py", line 406, in dispatch_request
    dispatcher.dispatch(req)
  File "/usr/lib64/python2.6/site-packages/trac/web/main.py", line 191, in dispatch
    chosen_handler = self._pre_process_request(req, chosen_handler)
  File "/usr/lib64/python2.6/site-packages/trac/web/main.py", line 263, in _pre_process_request
    chosen_handler = f.pre_process_request(req, chosen_handler)
  File "/usr/lib64/python2.6/site-packages/trac/versioncontrol/api.py", line 73, in pre_process_request
    self.get_repository(req.authname).sync()
  File "/usr/lib64/python2.6/site-packages/trac/versioncontrol/api.py", line 94, in get_repository
    ((self.repository_type,)*2))
TracError: Unsupported version control system "git". Check that the Python bindings for "git" are correctly installed.


_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1136
Location: /dev/koelsch

PostPosted: Wed Jun 09, 2010 8:37 am    Post subject: Reply with quote

Hi uhai,

kann zwar nicht wirklich weiterhelfen in der Sache, wollte aber gerade mal schauen welche Version ich installiert habe, und sehe dabei dass es dort vielleicht noch ein overlay gibt wo du es mal versuchen kannst, schau mal unter [3]

Code:

localhost andy # eix digikam
[I] media-gfx/digikam
     Available versions: 
        (0)     *0.9.4[2]
        (3.5)   0.9.5-r1[2]
        (4.1)   (~)0.10.0_beta2-r2[4]
        (4)     (~)1.0.0[1] (~)1.0.0[3] 1.1.0-r1 **9999[1] **9999[3]
        {addressbook aqua debug doc elibc_FreeBSD geolocation +glib (+)gphoto2 kdeenablefinal kdehiddenvisibility kdeprefix lensfun linguas_ linguas_ar linguas_be linguas_bg linguas_br linguas_ca linguas_ca@valencia linguas_cs linguas_cy linguas_da linguas_de linguas_el linguas_en_GB linguas_eo linguas_es linguas_et linguas_eu linguas_fa linguas_fi linguas_fr linguas_ga linguas_gl linguas_he linguas_hi linguas_hne linguas_hr linguas_hu linguas_is linguas_it linguas_ja linguas_ka linguas_km linguas_ko linguas_lang} linguas_lt linguas_lv linguas_mk linguas_ms linguas_mt linguas_nb linguas_nds linguas_ne linguas_nl linguas_nn linguas_pa linguas_pl linguas_pt linguas_pt_BR linguas_ro linguas_ru linguas_rw linguas_se linguas_sk linguas_sl linguas_sr linguas_sr@Latn linguas_sv linguas_ta linguas_th linguas_tr linguas_uk linguas_vi linguas_zh_CN linguas_zh_TW nfs semantic-desktop +thumbnails xinerama}
     Installed versions:  1.1.0-r1(4)(22:42:47 12.05.2010)(addressbook geolocation glib gphoto2 linguas_de semantic-desktop thumbnails -aqua -debug -doc -kdeenablefinal -lensfun -linguas_ar -linguas_be -linguas_bg -linguas_ca -linguas_ca@valencia -linguas_cs -linguas_da -linguas_el -linguas_en_GB -linguas_eo -linguas_es -linguas_et -linguas_eu -linguas_fa -linguas_fi -linguas_fr -linguas_ga -linguas_gl -linguas_he -linguas_hi -linguas_hne -linguas_hr -linguas_hu -linguas_is -linguas_it -linguas_ja -linguas_km -linguas_ko -linguas_lt -linguas_lv -linguas_nb -linguas_nds -linguas_ne -linguas_nl -linguas_nn -linguas_pa -linguas_pl -linguas_pt -linguas_pt_BR -linguas_ro -linguas_ru -linguas_se -linguas_sk -linguas_sl -linguas_sv -linguas_th -linguas_tr -linguas_uk -linguas_vi -linguas_zh_CN -linguas_zh_TW)
     Homepage:            http://www.digikam.org/
     Description:         A digital photo management application for KDE.

[1] "kde" layman/kde
[2] "kde-sunset" layman/kde-sunset
[3] "kde" layman/kde-testing
[4] "luke-jr" layman/luke-jr
localhost andy #



Ausserdem wurde am 07.06. digikam 1.3.0 veröffentlicht, hoffentlich hält das bald mal Einzug in den tree, vielleicht wird dann alles Gut... :wink:

Grooß, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Jun 09, 2010 9:18 am    Post subject: Reply with quote

Das ist theoretisch das selbe. kde-testing heißt jetzt nur kde. Kannst ja mal schauen wann die jeweils das letzte mal gesynct wurden.
Ansonsten könntet ihr ja einfach mal das ebuild kopieren.
Das ist BTW der Bug: https://bugs.gentoo.org/show_bug.cgi?id=311935
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1136
Location: /dev/koelsch

PostPosted: Wed Jun 09, 2010 9:34 am    Post subject: Reply with quote

Schon klar das es das selbe ist,

aber uhai schrieb ja das es nicht erreichbar sei, daher dachte ich daran als Alternative zum download, damit er's damit versuchen kann.
Gesynced wurde es Gestern das letzte mal.

Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Mon Jun 14, 2010 1:10 pm    Post subject: Reply with quote

Noch mehr Off-Topic

Randy Andy wrote:
Ausserdem wurde am 07.06. digikam 1.3.0 veröffentlicht, hoffentlich hält das bald mal Einzug in den tree, vielleicht wird dann alles Gut... :wink:
Ich denke das wird noch ein wenig dauern...

Aber ich kann die ganze Problematik auch nicht wirklich nachvollziehen, nutze hier aktuell
Code:
# eix -Ic digikam
[I] media-gfx/digikam (1.2.0-r1(4)[1]@06/02/2010): A digital photo management application for KDE.
[1] "kde" /var/lib/layman/kde

und
# eix -Ic kipi                                                                                                                 
[I] kde-base/libkipi (4.4.4(4.4)[1]@06/02/2010): A library for image plugins accross KDE applications.                                     
[I] media-plugins/kipi-plugins (1.2.0-r1(4)[1]@06/01/2010): KDE Image Plugin Interface                                                     
[1] "kde" /var/lib/layman/kde
und das funkt einwandfrei. Das tat hier aber auch schon die Vorgänger Version digikam-1.1*
daher denke ich dass das eigentliche Problem dieses Threads nicht unbedingt direkt von digikam ausgeht.

@Uhai
ist dein System ansonsten in einem aktuellen gesunden Zustand?
Code:
emerge --sync
emerge -avuDN world
etc-update
revdep-rebuild
usw hast du alles sauber durch?
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Mon Jun 14, 2010 8:34 pm    Post subject: Reply with quote

Soweit ein entschiedenes jein...

Bis auf digikam funzt das. Digikam bricht mit Fehler ab:

Code:
Tux uhai # emerge --info =media-gfx/digikam-1.1.0-r1|gnopaster
-> http://nopaste.info/55f0e09576.html


emerge --info =media-gfx/digikam-1.1.0-r1
complete build log - Fehler scheint bei Zeile 868 aufzutreten.

Das KDE-Overlay habe ich zwischenzeitlich wieder entfernt. Er hat mir als digikam-9999 immer digikam-1.1.0-r1 angeboten, also keine wirklich neuere Version. Ich denke, ich sollte zuerst digikam wieder stable hinbekommen, dann das Overlay ergänzen, oder?

libkdcraw habe ich auch neu emerged, da das den Fehler ausgelöst zu haben scheint... hilft aber nicht...
digikam lief hier bis vor wenige Wochen auch schön stabil... Leider habe ich nicht gleich nachgesehen, was sich am System geändert hat. Die Box hier ist 64bit mit einem AMD-Herz, falls das was hilft...

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Mon Jun 14, 2010 11:02 pm    Post subject: Reply with quote

Hi uhai

uhai wrote:
complete build log - Fehler scheint bei Zeile 868 aufzutreten.
Hm.., da wäre ich mir nicht wirklich sicher..
doch leider scheint die build.log nicht komplett zu sein, sie geht "nur" bis Zeile 899 , auch ist der erste error nicht mit enthalten,
magst du da noch mal nach dem rechten sehen bzw den Rest oder eine wirklich komplette build.log posten?!
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jun 15, 2010 4:42 am    Post subject: Reply with quote

Hm, da hast Du recht. 8O

Ich habe an das hier geglaubt:
Code:
If you need support, post the output of 'emerge --info =media-gfx/digikam-1.1.0-r1',                          │
│the complete build log and the output of 'emerge -pqv =media-gfx/digikam-1.1.0-r1'.                           │
│The complete build log is located at '/var/tmp/portage/media-gfx/digikam-1.1.0-r1/temp/build.log'.            │
│The ebuild environment file is located at '/var/tmp/portage/media-gfx/digikam-1.1.0-r1/temp/environment'.     │
│S: '/var/tmp/portage/media-gfx/digikam-1.1.0-r1/work/digikam-1.1.0'                                     


und dann
Code:
cat /var/tmp/portage/media-gfx/digikam-1.1.0-r1/temp/build.log|gnopaster
gemacht...
Dann bekomme ich das hier.

Wird das Listing evtl. von nopaste.info gekürzt?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum